> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get waterfalls in table

> Get all waterfalls installed on a table. Use the returned `id` with `POST /v1/table/{uuid}/run-enrichment/{id}` to run.



## OpenAPI

````yaml GET /v1/table/{table_uuid}/waterfalls
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/waterfalls:
    get:
      tags:
        - Table
      summary: Get table waterfalls
      description: >-
        Get all waterfalls installed on a table. Use the returned `id` with
        `POST /v1/table/{uuid}/run-enrichment/{id}` to run.
      operationId: Get_table_waterfalls_v1_table__table_uuid__waterfalls_get
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The UUID of the table
            title: Table Uuid
          description: The UUID of the table
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Table waterfalls retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InstalledWaterfall'
                title: >-
                  Response Get Table Waterfalls V1 Table  Table Uuid  Waterfalls
                  Get
              example:
                - id: 42
                  waterfall_name: Email finder waterfall
                - id: 55
                  waterfall_name: Phone number waterfall
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail: Not allowed
        '404':
          description: Table not found
          content:
            application/json:
              example:
                detail: Table not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InstalledWaterfall:
      properties:
        id:
          type: integer
          title: Id
        waterfall_name:
          type: string
          title: Waterfall Name
      type: object
      required:
        - id
        - waterfall_name
      title: InstalledWaterfall
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````